org.jbpm.ruleflow.core.factory

## Class SplitFactory

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory
  - - org.jbpm.ruleflow.core.factory.SplitFactory

-     public class SplitFactory
      extends NodeFactory

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplitFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SplitFactory` | `constraint(long toNodeId, String name, String type, String dialect, String constraint)`
    `SplitFactory` | `constraint(long toNodeId, String name, String type, String dialect, String constraint, int priority)`
    `protected Node` | `createNode()`
    `protected Split` | `getSplit()`
    `SplitFactory` | `name(String name)`
    `SplitFactory` | `type(int type)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SplitFactory

          public SplitFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                              NodeContainer nodeContainer,
                              long id)

  - ### Method Detail

    - #### createNode

          protected Node createNode()

      Specified by:
        `createNode` in class `NodeFactory`

    - #### getSplit

          protected Split getSplit()

    - #### name

          public SplitFactory name(String name)

    - #### type

          public SplitFactory type(int type)

    - #### constraint

          public SplitFactory constraint(long toNodeId,
                                         String name,
                                         String type,
                                         String dialect,
                                         String constraint)

    - #### constraint

          public SplitFactory constraint(long toNodeId,
                                         String name,
                                         String type,
                                         String dialect,
                                         String constraint,
                                         int priority)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.